buffer_init_free(3)

NAME
buffer_init_free - initialize buffer structure

SYNTAX
#include <libowfat/buffer.h>

void buffer_init_free(buffer &b,
                ssize_t (*op)(int,char*,size_t),
                int fd, char* y, size_t ylen);

DESCRIPTION
buffer_init_free is like buffer_init except that the memory (y is marked to be freed by buffer_close().

SEE ALSO
buffer_init(3), buffer_mmap_read(3), buffer(3)